Billing API

Get Balance

curl https://api.pulserun.dev/v1/billing/balance \
  -H "Authorization: Bearer pr_live_xxxxxxxxxxxxx"
{ "balance": 46.01, "currency": "usd" }

Add Credit

Returns a Stripe checkout URL. Minimum: $5.

curl -X POST https://api.pulserun.dev/v1/billing/credit \
  -H "Authorization: Bearer pr_live_xxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{ "amount": 50 }'
{ "checkout_url": "https://checkout.stripe.com/..." }

Transaction History

# All transactions
curl https://api.pulserun.dev/v1/billing/transactions \
  -H "Authorization: Bearer pr_live_xxxxxxxxxxxxx"
 
# Filter by type
curl "https://api.pulserun.dev/v1/billing/transactions?type=instance_charge" \
  -H "Authorization: Bearer pr_live_xxxxxxxxxxxxx"
{
  "data": [
    {
      "id": "txn_abc123",
      "type": "instance_charge",
      "amount": -0.95,
      "balance_after": 46.01,
      "description": "inst_abc123 — A100 80GB — 1 hour",
      "instance_id": "inst_abc123",
      "created_at": "2026-03-01T13:00:00Z"
    },
    {
      "id": "txn_def456",
      "type": "credit_topup",
      "amount": 50.00,
      "balance_after": 50.00,
      "description": "Credit top-up via Stripe",
      "created_at": "2026-03-01T11:00:00Z"
    }
  ]
}